package com.tocea.easycoverage.framework.api;

import com.tocea.easycoverage.framework.exception.EasycoverageAssertionError;

/**
 * 
 * Interface of an EasyCoverage checker. A checker performs a check, and throws
 * an EasycoverageAssertionError if it fails.
 * 
 * @author Romain Delamare
 * 
 */
public interface IEasycoverageChecker {

	/**
	 * Performs the check.
	 * 
	 * @throws EasycoverageAssertionError
	 *             if the check fails
	 */
	public void check();

	/**
	 * Checks whether the check should be performed.
	 * 
	 * @return true if the check should be performed, false otherwise
	 */
	public boolean shouldCheck();

}
